=== software/CMakeLists.txt ===
IF(CHECK_MEMORY)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CHECK_MEMORY_FLAGS}")
ENDIF(CHECK_MEMORY)

ADD_SUBDIRECTORY(plugins-manager)
ADD_SUBDIRECTORY(crash_handling)
ADD_SUBDIRECTORY(tulip)
#ADD_SUBDIRECTORY(tlprender)
