=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(gzstream)
ADD_SUBDIRECTORY(OGDF)

IF(NOT UBUNTU_PPA_BUILD)
ADD_SUBDIRECTORY(ftgl)
ENDIF()

IF(PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
IF(SIP_OK AND NOT UBUNTU_PPA_BUILD)
ADD_SUBDIRECTORY(sip-4.12.1)
ENDIF(SIP_OK AND NOT UBUNTU_PPA_BUILD)
ENDIF(PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
