=== docs/common/CMakeLists.txt ===
EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
IF(UBUNTU_PPA_BUILD)
   FILE(READ ${CMAKE_CURRENT_BINARY_DIR}/tulip-html.xsl input)
   STRING(REPLACE "http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl" "file:/usr/share/xml/docbook/stylesheet/docbook-xsl/html/chunk.xsl" input "${input}") 
   FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/tulip-html.xsl "${input}")
   FILE(READ ${CMAKE_CURRENT_BINARY_DIR}/tulip-pdf.xsl input)
   STRING(REPLACE "http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl" "file:/usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl" input "${input}") 
   FILE(WRITE ${CMAKE_CURRENT_BINARY_DIR}/tulip-pdf.xsl "${input}") 
ENDIF()
