=== debian/changelog ===
tulip (3.7.0dfsg-4) unstable; urgency=low

  * Completely disable crash handler on archs other than i386 and amd64,
    it currenty requires explicit knowledge of the architecture's
    instruction pointer (<sigh> should have read upstream code at first...).

 -- Yann Dirson <dirson@debian.org>  Sat, 19 May 2012 14:07:32 +0200

tulip (3.7.0dfsg-3) unstable; urgency=low

  * Replace all remaining uses of __linux and __linux__ by __unix__.
  * Restrict binutils-dev build-depend any-i386 and any-amd64 instead of
    using negation (which did not appear to work for any reason ?).
  * Add license paragraph for "Files: *" (lintian).

 -- Yann Dirson <dirson@debian.org>  Sat, 19 May 2012 10:32:50 +0200

tulip (3.7.0dfsg-2) unstable; urgency=low

  * Restrict binutils-dev build-depend to exclude archs with cpus
    not supported by the "detailed stack traces" feature.
  * Check for __unix__ instead of __linux, so the "detailed stack traces"
    feature will work on non-linux archs.

 -- Yann Dirson <dirson@debian.org>  Fri, 18 May 2012 15:26:14 +0200

tulip (3.7.0dfsg-1) unstable; urgency=low

  * New upstream release:
    * drop patches included or superceded upstream:
      * "Make gzstream library name tunable as GZStreamLibrary"
      * "Use system FTGL, not the one shipped in thirtparty/"
      * "Rename gzstream library to gzstreamtlp-3.6"
      * "Rename libOGDF.so to libOGDFtlp-3.6.so"
    * Refreshed remaining patches:
      * Factored out references to doc-building jars in cmake files
      * Comment out INSTALL_RPATH flag on executables.
      * Disable python binding.
      * Use Debian-packaged jars.
      * Fix FTBFS with GCC 4.7.
    * Set the UBUNTU_PPA_BUILD cmake flag to benefit from this work.
    * Updated package names for new version and new lib names.
    * Builds and installs docs when using -DBUILD_DOC=ON.
  * Acknowledge NMU, sync with work done in parallel on the package:
    * Don't call dh_auto_build for arch-indep which do not need it
    * Remove -a and -i flags from calls where dh already adds them.
  * Separate shlib version with a dash in 3rdparty libs, so parsing the
    soname will correctly identify the version (thanks lintian...).
  * Move online help from tulip-doc into new tulip-help package, and let
    tulip recommend it.
  * Build-depend on binutils-dev to benefit from detailed stack traces on crash.
  * Use bash for tulip-config script with bashism (Closes: #530127).
  * When making docs, move expansion of the "doc-*" pattern from the shell
    up to make, so log failures on buildd can give meaningful information.
  * Updated debian/README.maint, to reflect the use of a collab-maint git repo.
  * Added Vcs-git and Vcs-browser control fields.
  * Declare "dfsg" version mangling in debian/watch (lintian).
  * Fixed continuation lines in debian/copyright (lintian).
  * Added GPL2 license paragraph for the (unused) ftgl subtree (lintian).
  * Bumped Standards-Version to 3.9.3, no other change.

 -- Yann Dirson <dirson@debian.org>  Sat, 12 May 2012 11:18:11 +0200

tulip (3.6.0dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix debian/rules, so the package compiles on the buildds. Closes: #650653.
  * Add gcc4.7_ftbfs patch to fix FTBFS with GCC 4.7. Closes: #667401.
  * Update Build-Depends on libpng-dev. Closes: #662526.
  * Bump debhelper Build-Depends to >= 9, as recommended by lintian.

 -- Regis Boudin <regis@debian.org>  Mon, 23 Apr 2012 22:52:11 +0200
