=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH:BOOL=YES -DUBUNTU_PPA_BUILD=ON -DBUILD_DOC=ON

override_dh_auto_build-arch:
	dh_auto_build --parallel
	docbook-to-man debian/tulip.sgml > debian/tulip.1
override_dh_auto_build-indep:
	$(MAKE) -C "$(wildcard obj-*)" doc

override_dh_auto_install-indep:
	dh_auto_install -- -C docs
	mv debian/tmp/usr/share/doc/tulip debian/tmp/usr/share/doc/tulip-doc

override_dh_auto_install-arch:
	dh_auto_install
	install -D debian/tulip.1 debian/tmp/usr/share/man/man1/tulip.1

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/tulip.1
	rm -rf docs/doxygen/xml
