=== debian/watch ===
version=3
opts=dversionmangle=s/dfsg$// \
 http://sf.net/auber/tulip-([\d.]*)(?:-src\.tar\.gz|\.tar\.bz2)
